QueryConfigService (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.query.management.configuration, class: QueryConfigService

Package org.apache.geode.cache.query.management.configuration

# Class QueryConfigService

java.lang.Object
org.apache.geode.cache.configuration.CacheElement
org.apache.geode.cache.query.management.configuration.QueryConfigService

All Implemented Interfaces:
  `Serializable`, `Identifiable<String>`

public class QueryConfigService extends CacheElement

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="method-authorizer" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="parameter" maxOccurs="unbounded" minOccurs="0">
                         <complexType>
                           <complexContent>
                             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                               <attribute name="parameter-value" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                             </restriction>
                           </complexContent>
                         </complexType>
                       </element>
                     </sequence>
                     <attribute name="class-name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </all>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `QueryConfigService.MethodAuthorizer`
  Java class for anonymous complex type.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ELEMENT_ID`
  `protected QueryConfigService.MethodAuthorizer`
  `methodAuthorizer`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryConfigService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  Gets the identifier uniquely identifying this Object instance.
  `QueryConfigService.MethodAuthorizer`
  `getMethodAuthorizer()`
  Gets the value of the methodAuthorizer property.
  `void`
  `setMethodAuthorizer(QueryConfigService.MethodAuthorizer value)`
  Sets the value of the methodAuthorizer property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### methodAuthorizer

    protected QueryConfigService.MethodAuthorizer methodAuthorizer

  - ### ELEMENT_ID

    public static final String ELEMENT_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### QueryConfigService

    public QueryConfigService()

- ## Method Details

  - ### getMethodAuthorizer

    public QueryConfigService.MethodAuthorizer getMethodAuthorizer()
    Gets the value of the methodAuthorizer property. possible object is `QueryConfigService.MethodAuthorizer`
    Returns:
      the value of the methodAuthorizer property

  - ### setMethodAuthorizer

    public void setMethodAuthorizer(QueryConfigService.MethodAuthorizer value)
    Sets the value of the methodAuthorizer property. allowed object is `QueryConfigService.MethodAuthorizer`
    Parameters:
      `value` - the value of the methodAuthorizer property

  - ### getId

    public String getId()
    Description copied from interface: `Identifiable`
    Gets the identifier uniquely identifying this Object instance.

    Returns:
      an identifier uniquely identifying this Object.